{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Delete it?</title>
<link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
{% endblock meta %}

{% block content %}
    <div class="container" style="margin-bottom:110px;">
        <div class="topdown">
            <div style="font-size:28px;font-weight:bold; margin-top:30px;">
                Delete this
                {% if diskusi %} Discussion
                {% elif komen and not reply %} Comment
                {% elif reply %} Reply
                {% endif %} 
                ?
            </div>
            {% if diskusi %}
                <div class="topdown preview-edit-komen">
                    <div onclick="location.href='{% url 'forum:readForum' diskusi.pk %}';" >
                        <div class="topdown insidereadpost center text-center">
                            <div class="profile-container">
                                <div class="profile" 
                                    {% for warna in colorProfile %}
                                        {% if warna.user == diskusi.penulis %} 
                                            style="background-color: {{warna.colorHex}};"
                                        {% endif %}
                                    {% endfor %}>
                                    <div class="center inisial">
                                        {{ diskusi.penulis|make_list|first|upper }}
                                    </div>
                                </div>
                            </div> 
                            <div class="topdown snippet fontall">
                                <div class="judulPost">
                                    {{ diskusi.judul|truncatechars:110 }} <br>
                                </div>
                                <span class="subJudulPost">
                                    <a href="{% url 'forum:forum2' diskusi.kategori %}" 
                                        {% if diskusi.kategori == 'general' %} class="tipe1"
                                        {% elif diskusi.kategori == 'covid' %} class="tipe2"
                                        {% elif diskusi.kategori == 'drug' %} class="tipe3"
                                        {% endif %}>
                                        
                                        {% if diskusi.kategori == 'general' %} [General Discussion]
                                        {% elif diskusi.kategori == 'covid' %} [Covid Info]
                                        {% elif diskusi.kategori == 'drug' %} [Drug Info]
                                        {% endif %}
                                    </a> 
                                        by 
                                    <a href="{% url 'forum:profil' diskusi.penulis.username %}" class="edit"> 
                                        {{ diskusi.penulis }} 
                                    </a>  on {{ diskusi.DateTime|date:'d-M-Y H:i' }} WIB  
                                    {% if diskusi.penulis == request.user %}           
                                        <a href="{% url 'forum:editPost' diskusi.pk %}" class="edit"></br> edit </a> | 
                                        <a href="{% url 'forum:confirmDeletePost' diskusi.pk %}" class="edit"> delete </a>
                                    {% endif %}
                                </span>
                            </div>
                            <div class='b'>
                                {{ diskusi.isi}}
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <a href="{% url 'forum:deletePost' diskusi.pk %}" class="button2 bodyButton">Delete</a>
                    <button href="#" onclick="history.back();return false" type="cancel" class="button3 bodyButton">Cancel</button>
                </div>
            {% elif komen or reply %}
                <div class="one-container preview-edit-komen">
                    <div class="comment" 
                    {% if type == 'edit' and diskusi %} style="background:rgb(83, 144, 217, 0.2);"
                    {% endif %}>
                        <div class="leftright insidepostkomen alignitem">
                            <div class="profile-container-komen">
                                <div class="profile-komen" 
                                    {% for warna in colorProfile %}
                                        {% if warna.user == komen.penulis %} 
                                            style="background-color: {{warna.colorHex}};"
                                        {% endif %}
                                    {% endfor %}>
                                <div class="topdown center inisial-komen">
                                    {{ komen.penulis|make_list|first|upper }}
                                </div>
                                </div>
                            </div>
                            <div class="topdown alignitem snippet-komen">
                                <div class="leftright header-komen">
                                    <div class="judulKomen">
                                        {{ komen.penulis }}
                                    </div>
                                    <span class="subJudulKomen">
                                        {{ komen.DateTime|date:'d-M-Y H:i' }} WIB
                                        {% if komen.penulis == request.user %} | 
                                            <a href="{% url 'forum:editComment' komen.pk %}" class="edit"> edit </a>
                                        {% endif %}
                                    </span>
                                </div>
                                <div class="isiKomen">
                                    {{ komen.isi|safe|linebreaks }}
                                </div>
                            </div>
                        </div>
                    </div>
                    
                    <div class="reply-container">
                        {% if replyTo %}
                            {% for t in replyTo %}
                                <div class="reply" {% if t == replyTo|last %} style="background:rgb(83, 144, 217, 0.2);"{% endif %}>
                                    <div class="leftright inside-post-komen alignitem">
                                        <div class="profile-container-komen">
                                            <div class="profile-komen" 
                                                {% for warna in colorProfile %}
                                                    {% if warna.user == t.penulis %} 
                                                        style="background-color: {{warna.colorHex}};"
                                                    {% endif %}
                                                {% endfor %}>
                                                <div class="topdown center inisial-komen">
                                                    {{ t.penulis|make_list|first|upper }}
                                                </div>
                                            </div>
                                        </div>
                                        <div class="topdown alignitem snippet-komen">
                                            <div class="leftright header-komen">
                                                <div class="judulKomen">
                                                    {{ t.penulis }}
                                                </div>
                                                <span class="subJudulKomen">
                                                    {{ t.DateTime|date:'d-M-Y H:i' }} WIB
                                                    {% if t.penulis == request.user %} | 
                                                        <a href="{% url 'forum:editReply' t.komen.pk t.pk %}" class="edit"> edit </a>
                                                    {% endif %}
                                                </span>
                                            </div>
                                            <div class="isiKomen b">
                                                {{ t.isi}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {% endfor %}
                        {% endif %}
                    </div>
                    {% endif %}
                </div>
            {% if replyTo %}
                <div class="topdown center">
                    <a href="{% url 'forum:deleteReply' reply.pk %}" class="button2" id="bodyButton">Delete Reply</a>
                     <button href="#" onclick="history.back();return false" type="cancel" class="button3" id="bodyButton">Cancel</button>
                </div>
            {% elif not replyTo and not diskusi %}
                <div class=" topdown center">
                    <a href="{% url 'forum:deleteComment' komen.pk %}" class="button2" id="bodyButton">Delete Comment</a>
                     <button href="#" onclick="history.back();return false" type="cancel" class="button3" id="bodyButton">Cancel</button>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock content %}